This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 182027 - Review Request: postgrey
Review Request: postgrey
Status: CLOSED DUPLICATE of bug 218020
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fleming
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 05:47 EST by Russell Coker
Modified: 2016-02-23 10:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 19:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2006-02-19 05:47:49 EST
SRPM Name or Url: http://www.coker.com.au/postgrey/
Description: 
Postgrey is a Postfix policy server implementing greylisting.
When a request for delivery of a mail is received by Postfix
via SMTP, the triplet CLIENT_IP / SENDER / RECIPIENT is built.
If it is the first time that this triplet is seen, or if the
triplet was first seen less than 5 minutes, then the mail gets
rejected with a temporary error. Hopefully spammers or viruses
will not try again later, as it is however required per RFC.
Comment 1 Michael Fleming 2006-02-19 06:36:19 EST
Ah, I was wondering when someone would submit a Postfix policy service :-). I'll
give this a spin (I personally use Cami's policyd, more through familiarity than
anything else).

Small nit - when submitting these packages can the .spec be split out of the
source package and get it's own URL in the submission / update? It makes life a
little simpler for the reviewer that wants to check from scratch. Cheers.
Comment 2 Michael Fleming 2006-02-19 08:12:19 EST
NEEDSWORK

Review for release 1:
* RPM name is OK
* Source postgrey-1.24.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock (FC4)
* File list of postgrey looks OK
* Hasn't made my test instance explode.

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)

- Noticed some uses of %{_var} vs. %{_localstatedir} in there..

* rpmlint of postgrey:

rpmlint of postgrey-1.24-1.noarch.rpm
E: postgrey zero-length /etc/postgrey/postgrey_whitelist_clients.local
- %ghost this and make the user add it themselves once they've RTFM, IMO

E: postgrey non-standard-gid /var/run/postgrey postfix
E: postgrey non-standard-dir-perm /var/run/postgrey 0750
E: postgrey non-standard-uid /var/lib/postgrey postgrey
E: postgrey non-standard-gid /var/lib/postgrey postgrey
E: postgrey non-standard-dir-perm /var/lib/postgrey 0750
- These can be ignored IMHO

W: postgrey dangerous-command-in-%post chown
 -  Do it via %attr instead if you have to, I get the jitters when I see
    this.
W: postgrey service-default-enabled /etc/rc.d/init.d/postgrey
 -  Please don't give explosives to newbies. :-)

* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
 - Yank a copy from an appropriate site, even as a SourceX if you want,
   Conversely, ask upstream to put it in the tarball.
  
* Missing dependancy on service for %postun (package initscripts)
* Missing dependancy on service for %preun (package initscripts)
* Missing dependancy on chkconfig for %post (package chkconfig)
* Missing dependancy on chkconfig for %preun (package chkconfig)
 - The Requires and pre/post install scriptlets need fixing.
 
 - Drop the PreReq entirely. Is this a holdover from MDK or something
   else?
 
 - Requires: postfix >= 2.1.0 (no policy server capability in older
   versions AFAIK. Again, no explosives for the newbs.)
   
 - For Requires(%post) etc, use the defaults from the Services part of
   http://www.fedoraproject.org/wiki/ScriptletSnippets  

Notes:
Other blockers:
- Don't use %define for Name/Version/Release, use them directly.
  It also makes the spec little cleaner. If possible avoid %defines at
  all unless you really need them.
- Use install rather than mkdir/cp for moving files around and creating your
  extra dirs.

"Would be nice if..."
- Any reason to move the defaults around? - upstream likes it's configs
  and spool in /etc/postfix & $postfix_spooldir respectively.  
- "Starting/Stopping $prog" in the init file looks a little ugly, when compared
  to other init files (not that most sysadmins *care*, but it stuck out for me
  :-)) Perhaps a simple "Starting/Stopping Postgrey:" would suffice?
- Toss a %{?dist} in Release as good practice and to make distro upgrades
  simpler and cleaner.

Stuff I liked:
- Generated manpages.
Comment 3 Gianluca Sforna 2006-08-25 06:21:00 EDT
Could we give a spin to this?
Comment 4 Andy Shevchenko 2006-10-10 04:59:11 EDT
Is it a dead review?
Comment 5 Mike Wohlgemuth 2006-10-16 16:17:21 EDT
I'm interested in seeing this in Extras as well.   It looks like
http://www.coker.com.au/postgrey/ is no longer available, though, so I took
another stab at the package.  I based the work on Farkas Levente's work from
http://www.lfarkas.org/linux/packages/, but made fairly extensive changes to the
spec file to bring it more in line with my reading of the wiki and Michael's
comments above.  I've made the files available here:

http://woogie.net/rpms/postgrey.spec
http://woogie.net/rpms/postgrey-1.27-1.src.rpm

I would appreciate any feedback.

Thanks
Mike
Comment 6 Thomas M Steenholdt 2006-10-24 07:56:06 EDT
/me is very interested in seing this in extras as well - I'll give the packages
as whirl and report my findings, if any! :o)
Comment 7 Thomas M Steenholdt 2006-10-24 15:32:31 EDT
AFAIKT, this package is an excellent candicate for extras (note that i'm not
normally doing reviews for extras so something may still be needed). The package
builds and installs just fine - creates a daemon useraccount and add's postgrey
with chkconfig --add for easy setup. One line change to postfix main.cf and
we're off.

Great job!
Comment 8 rhbugs@greebo.org 2006-11-11 05:46:05 EST
Seems to be about that time again: "Is this dead or merely comatose?"

Last post from the assigned party was about nine months ago.

This would be very nice to have as an extra rather than manually
installing/updating.

This is a tool which significantly reduces spam -- making admins lives easier
and Fedora/Redhat look more appealing.

It seems that rcoker has removed the copy he placed on his personal site, but
the official home can be found here: http://isg.ee.ethz.ch/tools/postgrey/

Current assigned owner: Please either move on this, re-assign to someone with
enough cycles available, or kill the bug report so another can be submitted. 
Nine months -- we're talking about a small and fairly functional package -- not
a baby. ;)
Comment 9 rhbugs@greebo.org 2006-11-11 05:57:55 EST
BTW- I'm not trying to insult the efforts of Mike and Thomas -- thanks to both
of you for continuing to work on this.

I'm just concerned because the bug appears to be off the radar of the current
owner...
Comment 10 Michael Schwendt 2006-11-11 10:57:00 EST
Guys,

the package submitter has not responded since 2006-02-19, so don't
wait forever. If you review and approve a competing package, just do
it.

Nowhere is written that one stalled review blocks other more
active package submissions. No mercy.

Russell probably is busy and could still join as a co-maintainer later.
Comment 11 Gianluca Sforna 2006-11-11 12:22:14 EST
Count me on this (I already installed it on my mail server). 

So, assuming Russel is too busy to bring it on, is anyone willing to take over
maintainership?
Comment 12 Matthias Saou 2006-12-01 11:10:10 EST
I somehow managed to miss this review (note for myself : think about not only
looking in CVS but also in Bugzilla), and submitted my own postgrey package for
review in bug #218020. From here, either :
- Have someone review my package, and have this request closed.
- Have someone take over this request, someone else review it, and mine closed.
Comment 13 Michael Fleming 2007-01-02 19:29:02 EST
Setting this request to closed (inactivity). 

Some of the ideas in Russ' spec would be good to roll into a newer package
(especially the SELinux stuff, on reflection - I'm more familiar with it now
than I was when this was first lodged)
Comment 14 Peter Lemenkov 2016-02-23 10:37:05 EST

*** This bug has been marked as a duplicate of bug 218020 ***

Note You need to log in before you can comment on or make changes to this bug.